HttpQueryString::__construct
HttpQueryString::mod
HttpQueryString
PHP Manual

# HttpQueryString::get

Get (part of) query string

### Description

public mixed HttpQueryString::get ([ string `$key` [, mixed `$type` = 0 [, mixed `$defval` = `NULL` [, bool `$delete` = false ]]]] )

Get (part of) the query string.

The type parameter is either one of the HttpQueryString::TYPE_* constants or a type abbreviation like "b" for bool, "i" for int, "f" for float, "s" for string, "a" for array and "o" for a stdClass object.

### Parameters

`key`

  key of the query string param to retrieve

`type`

  which variable type to enforce

`defval`

  default value if key does not exist

`delete`

  whether to remove the key/value pair from the query string

### Return Values

Returns the value of the query string param or the whole query string if no key was specified on success or defval if key does not exist.